# inkch's `crkbd` keymap

I initially followed QMK's recommendation to fork their entire repository
(`qmk/qmk_firmaware`) to maintain custom keymaps.
However, after hosting my forked repository here, I encountered an unexpected
issue:
it attracted an overwhelming amount of traffic that put too much strain on my
server resources.
Despite my desire to share my codes with the public, this situation was
unsustainable.

As a result, I've decided to create a new repository specifically for my custom
keymaps, which will allow me to continue sharing my work while keeping the load
manageable and easy to maintain.


## How to use

### Prepare

1. Pull [`qmk/qmk_firmware`](https://github.com/qmk/qmk_firmware)
2. [Set up QMK Env](https://docs.qmk.fm/newbs_getting_started)
3. Clone this repo into `<qmk_firmware root>/keyboards/crkbd/keymaps/`


### Compile keymaps

```console
$ cd <qmk_firmware root>
$ qmk compile -kb crkbd -km inkch
```

### Flash keymaps to `crkbd`

```console
$ cd <qmk_firmware root>
$ qmk flash -kb crkbd -km inkch -bl avrdude-split-left
$ qmk flash -kb crkbd -km inkch -bl avrdude-split-right
```
